一覧取得 — 返品・苦情・交換
返品、交換、苦情の一覧と詳細を表示します。
GET
/api/v1/requestscURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/requests?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
レスポンス
{
"data": [
{
"created_at": "2026-01-01T12:00:00Z",
"customer": {
"email": "customer@example.invalid",
"name": "Example"
},
"id": "example",
"number": "example",
"order_id": "example",
"order_number": "example",
"products_value": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"refund": {
"amount": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2
},
"completed_at": null,
"status": "pending",
"updated_at": "2026-01-01T12:00:00Z",
"version": 1
},
"resolution_state": "unknown",
"status": {
"id": "example",
"locale": "en",
"name": "Example"
},
"type": "return",
"updated_at": "2026-01-01T12:00:00Z",
"version": 1
}
],
"meta": {
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}